#### D.2.3.21 factorH

Procedure from library `general.lib` (see general_lib).

Usage:
  factorH(p) p poly

Return:
  factorize(p)

Note:
  changes variables to make the last variable the principal one in the multivariate factorization and factorizes then the polynomial

Example:

    LIB "general.lib";
    system("random",992851144);
    ring r=32003,(x,y,z,w,t),lp;
    poly p=y2w9+yz7t-yz5w4-z2w4t4-w8t3;
    factorize(p);  //fast
    ==> [1]:
    ==>    _[1]=-1
    ==>    _[2]=-y2w9-yz7t+yz5w4+z2w4t4+w8t3
    ==> [2]:
    ==>    1,1
    system("random",992851262);
    //factorize(p);  //slow
    system("random",992851262);
    factorH(p);
    ==> [1]:
    ==>    _[1]=1
    ==>    _[2]=y2w9+yz7t-yz5w4-z2w4t4-w8t3
    ==> [2]:
    ==>    1,1

User manual for Singular version 4.4.1, 2025, generated by texi2html.